IARRAY_REGISTER_DESTROY_FUNC(3)

FUNCTION
iarray_register_destroy_func - Register destroy function for an Intelligent Array.

SYNOPSIS
#include <karma_iarray.h>

KCallbackFunc iarray_register_destroy_func

(iarray array, void (*destroy_func) (iarray array, void *info), void *info)

DESCRIPTION
Register destroy function for an Intelligent Array.

array
    The Intelligent Array.

destroy_func
    The routine that is called when the array is destroyed. The prototype function is <-iarray_PROTO_destroy_func->.

info
    The arbitrary information pointer.

RETURN VALUE
A KCallbackFunc object. On failure, the process aborts.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/